const express = require('express');
const router = express.Router();
const branchController = require('../controllers/branchController');

// Create a new branch
router.post('/', branchController.createBranch);

// Get all branches (optionally filter by companyId)
router.get('/', branchController.getBranches);

// Update a branch by id
router.put('/:id', branchController.updateBranch);

// Delete a branch by id
router.delete('/:id', branchController.deleteBranch);


  



module.exports = router;
